import type { FastAverageColorOptions, FastAverageColorResource } from '../index';
export declare function isSvg(filename: string): boolean;
export declare function getOriginalSize(resource: HTMLImageElement | HTMLVideoElement | HTMLCanvasElement | OffscreenCanvas | ImageBitmap | VideoFrame): {
    width: number;
    height: number;
};
export declare function getSrc(resource: HTMLCanvasElement | OffscreenCanvas | HTMLImageElement | HTMLVideoElement | ImageBitmap | VideoFrame): string;
export declare function isInstanceOfHTMLImageElement(resource: FastAverageColorResource): resource is HTMLImageElement;
export declare function isInstanceOfOffscreenCanvas(resource: FastAverageColorResource): resource is OffscreenCanvas;
export declare function isInstanceOfHTMLVideoElement(resource: FastAverageColorResource): resource is HTMLVideoElement;
export declare function isInstanceOfVideoFrame(resource: FastAverageColorResource): resource is VideoFrame;
export declare function isInstanceOfHTMLCanvasElement(resource: FastAverageColorResource): resource is HTMLCanvasElement;
export declare function isInstanceOfImageBitmap(resource: FastAverageColorResource): resource is ImageBitmap;
export declare function prepareSizeAndPosition(originalSize: {
    width: number;
    height: number;
}, options: FastAverageColorOptions): {
    srcLeft: number;
    srcTop: number;
    srcWidth: number;
    srcHeight: number;
    destWidth: number;
    destHeight: number;
};
export declare function makeCanvas(): HTMLCanvasElement | OffscreenCanvas | null;
